Page MenuHomeLubuntu Development

fix usb-creator-kde
Closed, ResolvedPublic

Description

Currently, usb-creator-kde aka Startup Disk Creator is non-functional. See the bug report which has a patch. We should be able to get this, I hope!

Related Objects

StatusAssignedTask
OpenNone
OpenNone
Resolvedwxl

Event Timeline

wxl triaged this task as Unbreak Now! priority.Apr 10 2019, 11:21 PM
wxl created this task.
wxl created this object with edit policy "Custom Policy".
wxl added a comment.Apr 11 2019, 12:33 AM

Patch applied cleanly and it works!

wxl added a subscriber: tsimonq2.EditedApr 11 2019, 1:28 AM

Well I got the fix all setup but now I'm in Launchpad git hell and I have no propose for merging link. @tsimonq2 got any ideas?

First off, I think it should be in the Lubuntu packageset, but it isn't.

Second off, you actually did it via the git-ubuntu workflow (whether you knew it or not) rather than just using the Bazaar branch.

The earliest I'll be able to sponsor this is probably very much too close for comfort for the release team. Please talk to them and get some clearance beforehand; if you can't justify it being in before the release, prepare the bug report for a 0-day SRU and we can go that route.

Thanks!

wxl added a comment.Apr 11 2019, 11:12 AM

Perhaps given that this goes back to xenial the best course of action would be to prepare an SRU for xenial, bionic, cosmic, and disco all in one go?

Up to you, I'll happily sponsor if you do the paperwork.

wxl added a comment.Apr 11 2019, 11:17 AM

My thinking is if I fight to get it in for this release we'll still ideally SRU all the old releases, so why not just do them all at once?

Right. The only question is if Disco is 0 day SRU or if it'll be in the release pocket.

wxl added a comment.Apr 11 2019, 11:20 AM

0 day it is ☺

tsimonq2 added a comment.EditedApr 11 2019, 11:23 AM

ACK. Please talk to the SRU team (cc me on the ping, probably to rbasak and bdmurray) to let them know your intentions. Communication is paramount.

Alternatively, talk to infinity and vorlon, who might have an opinion either way. Both are also on the SRU team.

wxl added a comment.Apr 11 2019, 3:12 PM

Just to put it down on paper, we're going the SRU route but they're not into supporting a 0 day. It's been broken for a long time and no one's really noticed or cared. Riddell disabled it from the Kubuntu seed at the end of 2014 and it's never returned so that's why Kubuntu never noticed, either.

Sounds good. Just let me know once you have debdiffs ready to go and I'll happily review.

The version is not suitable for an SRU. You would likely need something like 0.3.5.1 if this was the only release that had 0.3.5. Please figure out a creative version scheme that is suitable for all stable releases.

Otherwise, ACK.

wxl added a comment.Apr 12 2019, 11:13 AM

Oh hell. Do you know enough to know if that's the best course of action or should I ask SRU team?

See ubiquity as an example. You are welcome to ask the SRU team, though.

wxl added a comment.Apr 12 2019, 11:17 AM

Ok. Should I set codename to UNRELEASED?

Demoting to high since we're not going to get this into release.

wxl lowered the priority of this task from Unbreak Now! to High.Apr 12 2019, 12:33 PM
wxl removed a parent task: T1: Lubuntu 19.04.
wxl added a comment.Jun 29 2019, 5:35 PM

Waiting on upstream on this one. Apparently there's no repo with the current version????

wxl added a comment.Jul 14 2019, 7:48 PM

PPA now available.

wxl added a comment.Jul 14 2019, 7:51 PM

P.S upstream is here. Will need to get it into Eoan and mark the bug as Fix Released before the SRU can be sponsored.

@wxl I have tested by making a startup disk in every release from Xenial to Eoan. They all work very well for me, no issues.

Worked for me on disco as well.

wxl added a comment.Jul 14 2019, 11:36 PM

Merge request submitted for Eoan.

wxl added a comment.Jul 16 2019, 12:52 PM

Fixed now in Eoan. debdiffs for other supported versions added and ~ubuntu-sponsors subscribed. Now we wait.

wxl added a comment.Thu, Jul 25, 4:26 PM

The fixes for Disco, Bionic, and Xenial are now in proposed. Test and comment on the bug. My own tests are positive.

wxl closed this task as Resolved.Thu, Aug 1, 12:58 PM

Finally, the fix is released.